diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/gcr-group-address.cc ns-3.44/src/wifi/model/gcr-group-address.cc
--- ns-3.43/src/wifi/model/gcr-group-address.cc	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.44/src/wifi/model/gcr-group-address.cc	2025-03-09 16:55:49.787372600 -0700
@@ -0,0 +1,47 @@
+/*
+ * Copyright (c) 2023 Universita' degli Studi di Napoli Federico II
+ *
+ * SPDX-License-Identifier: GPL-2.0-only
+ *
+ * Author: Stefano Avallone <stavallo@unina.it>
+ */
+
+#include "gcr-group-address.h"
+
+#include "ns3/address-utils.h"
+
+namespace ns3
+{
+
+void
+GcrGroupAddress::Print(std::ostream& os) const
+{
+    os << "gcrGroupAddress=" << m_gcrGroupAddress;
+}
+
+WifiInformationElementId
+GcrGroupAddress::ElementId() const
+{
+    return IE_GCR_GROUP_ADDRESS;
+}
+
+uint16_t
+GcrGroupAddress::GetInformationFieldSize() const
+{
+    return 6; // GCR Group Address field
+}
+
+void
+GcrGroupAddress::SerializeInformationField(Buffer::Iterator start) const
+{
+    WriteTo(start, m_gcrGroupAddress);
+}
+
+uint16_t
+GcrGroupAddress::DeserializeInformationField(Buffer::Iterator start, uint16_t length)
+{
+    ReadFrom(start, m_gcrGroupAddress);
+    return 6;
+}
+
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/gcr-group-address.h ns-3.44/src/wifi/model/gcr-group-address.h
--- ns-3.43/src/wifi/model/gcr-group-address.h	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.44/src/wifi/model/gcr-group-address.h	2025-03-09 16:55:49.787372600 -0700
@@ -0,0 +1,42 @@
+/*
+ * Copyright (c) 2023 Universita' degli Studi di Napoli Federico II
+ *
+ * SPDX-License-Identifier: GPL-2.0-only
+ *
+ * Author: Stefano Avallone <stavallo@unina.it>
+ */
+
+#ifndef GCR_GROUP_ADDRESS_H
+#define GCR_GROUP_ADDRESS_H
+
+#include "wifi-information-element.h"
+
+#include "ns3/mac48-address.h"
+
+namespace ns3
+{
+
+/**
+ * @ingroup wifi
+ *
+ * The IEEE 802.11 GCR Group Address Element (Sec. 9.4.2.125 of 802.11-2020)
+ */
+class GcrGroupAddress : public WifiInformationElement
+{
+  public:
+    GcrGroupAddress() = default;
+
+    WifiInformationElementId ElementId() const override;
+    void Print(std::ostream& os) const override;
+
+    Mac48Address m_gcrGroupAddress; //!< GCR Group Address field
+
+  private:
+    uint16_t GetInformationFieldSize() const override;
+    void SerializeInformationField(Buffer::Iterator start) const override;
+    uint16_t DeserializeInformationField(Buffer::Iterator start, uint16_t length) override;
+};
+
+} // namespace ns3
+
+#endif /* GCR_GROUP_ADDRESS_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/gcr-manager.cc ns-3.44/src/wifi/model/gcr-manager.cc
--- ns-3.43/src/wifi/model/gcr-manager.cc	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.44/src/wifi/model/gcr-manager.cc	2025-03-09 16:55:49.787372600 -0700
@@ -0,0 +1,256 @@
+/*
+ * Copyright (c) 2023 DERONNE SOFTWARE ENGINEERING
+ *
+ * SPDX-License-Identifier: GPL-2.0-only
+ *
+ * Author: Sébastien Deronne <sebastien.deronne@gmail.com>
+ */
+
+#include "gcr-manager.h"
+
+#include "ap-wifi-mac.h"
+#include "wifi-mpdu.h"
+
+#include "ns3/enum.h"
+#include "ns3/log.h"
+#include "ns3/uinteger.h"
+
+#include <algorithm>
+
+namespace ns3
+{
+
+NS_LOG_COMPONENT_DEFINE("GcrManager");
+
+NS_OBJECT_ENSURE_REGISTERED(GcrManager);
+
+TypeId
+GcrManager::GetTypeId()
+{
+    static TypeId tid =
+        TypeId("ns3::GcrManager")
+            .SetParent<Object>()
+            .SetGroupName("Wifi")
+            .AddAttribute("RetransmissionPolicy",
+                          "The retransmission policy to use for group addresses.",
+                          TypeId::ATTR_GET |
+                              TypeId::ATTR_CONSTRUCT, // prevent setting after construction
+                          EnumValue(GroupAddressRetransmissionPolicy::NO_ACK_NO_RETRY),
+                          MakeEnumAccessor<GroupAddressRetransmissionPolicy>(
+                              &GcrManager::m_retransmissionPolicy),
+                          MakeEnumChecker(GroupAddressRetransmissionPolicy::NO_ACK_NO_RETRY,
+                                          "NO_RETRY",
+                                          GroupAddressRetransmissionPolicy::GCR_UNSOLICITED_RETRY,
+                                          "GCR_UR",
+                                          GroupAddressRetransmissionPolicy::GCR_BLOCK_ACK,
+                                          "GCR_BA"))
+            .AddAttribute(
+                "GcrProtectionMode",
+                "Protection mode used for groupcast frames when needed: "
+                "Rts-Cts or Cts-To-Self",
+                EnumValue(GroupcastProtectionMode::RTS_CTS),
+                MakeEnumAccessor<GroupcastProtectionMode>(&GcrManager::m_gcrProtectionMode),
+                MakeEnumChecker(GroupcastProtectionMode::RTS_CTS,
+                                "Rts-Cts",
+                                GroupcastProtectionMode::CTS_TO_SELF,
+                                "Cts-To-Self"))
+            .AddAttribute("UnsolicitedRetryLimit",
+                          "The maximum number of transmission attempts of a frame delivered using "
+                          "the GCR unsolicited retry retransmission policy.",
+                          UintegerValue(7),
+                          MakeUintegerAccessor(&GcrManager::m_gcrUnsolicitedRetryLimit),
+                          MakeUintegerChecker<uint8_t>())
+            .AddAttribute("GcrConcealmentAddress",
+                          "The GCR concealment address.",
+                          Mac48AddressValue(Mac48Address("01:0F:AC:47:43:52")),
+                          MakeMac48AddressAccessor(&GcrManager::SetGcrConcealmentAddress,
+                                                   &GcrManager::GetGcrConcealmentAddress),
+                          MakeMac48AddressChecker());
+    return tid;
+}
+
+GcrManager::GcrManager()
+    : m_unsolicitedRetryCounter{0}
+{
+    NS_LOG_FUNCTION(this);
+}
+
+GcrManager::~GcrManager()
+{
+    NS_LOG_FUNCTION(this);
+}
+
+void
+GcrManager::DoDispose()
+{
+    NS_LOG_FUNCTION(this);
+    m_apMac = nullptr;
+    Object::DoDispose();
+}
+
+void
+GcrManager::SetWifiMac(Ptr<ApWifiMac> mac)
+{
+    NS_LOG_FUNCTION(this << mac);
+    NS_ASSERT(mac);
+    m_apMac = mac;
+
+    NS_ABORT_MSG_IF(m_apMac->GetTypeOfStation() != AP || !m_apMac->GetQosSupported(),
+                    "GcrManager can only be installed on QoS APs");
+}
+
+GroupAddressRetransmissionPolicy
+GcrManager::GetRetransmissionPolicy() const
+{
+    return m_retransmissionPolicy;
+}
+
+GroupAddressRetransmissionPolicy
+GcrManager::GetRetransmissionPolicyFor(const WifiMacHeader& header) const
+{
+    NS_ASSERT_MSG(header.IsQosData() && IsGroupcast(header.GetAddr1()),
+                  "GCR service is only for QoS groupcast data frames");
+
+    // 11.21.16.3.4 GCR operation:
+    // A STA providing GCR service may switch between the DMS,
+    // GCR block ack, or GCR unsolicited retry retransmission policies
+
+    // This is a retry, use configured retransmission policy
+    if (header.IsRetry())
+    {
+        return m_retransmissionPolicy;
+    }
+
+    // This is not a retry but all STAs are GCR-capable, use configured retransmission policy
+    if (m_nonGcrStas.empty())
+    {
+        return m_retransmissionPolicy;
+    }
+
+    // not a retry and GCR-incapable STA(s) present, transmit using No-Ack/No-Retry
+    return GroupAddressRetransmissionPolicy::NO_ACK_NO_RETRY;
+}
+
+void
+GcrManager::SetGcrConcealmentAddress(const Mac48Address& address)
+{
+    NS_LOG_FUNCTION(this << address);
+    NS_ASSERT_MSG(address.IsGroup(), "The concealment address should be a group address");
+    m_gcrConcealmentAddress = address;
+}
+
+const Mac48Address&
+GcrManager::GetGcrConcealmentAddress() const
+{
+    return m_gcrConcealmentAddress;
+}
+
+bool
+GcrManager::UseConcealment(const WifiMacHeader& header) const
+{
+    NS_ASSERT_MSG(header.IsQosData() && IsGroupcast(header.GetAddr1()),
+                  "GCR service is only for QoS groupcast data frames");
+    NS_ASSERT_MSG(m_retransmissionPolicy != GroupAddressRetransmissionPolicy::NO_ACK_NO_RETRY,
+                  "GCR service is not enabled");
+    NS_ASSERT_MSG(!m_staMembers.empty(), "GCR service should not be used");
+
+    // Only GCR capable STAs, hence concealment is always used
+    if (m_nonGcrStas.empty())
+    {
+        return true;
+    }
+    // If A-MSDU is used, that means previous transmission was already concealed
+    if (header.IsQosAmsdu())
+    {
+        return true;
+    }
+    // Otherwise, use concealment except for the first transmission (hence when it is a retry)
+    return header.IsRetry();
+}
+
+bool
+GcrManager::KeepGroupcastQueued(Ptr<WifiMpdu> mpdu)
+{
+    NS_LOG_FUNCTION(this << *mpdu);
+    NS_ASSERT_MSG(mpdu->GetHeader().IsQosData() && IsGroupcast(mpdu->GetHeader().GetAddr1()),
+                  "GCR service is only for QoS groupcast data frames");
+    NS_ASSERT_MSG(m_retransmissionPolicy != GroupAddressRetransmissionPolicy::NO_ACK_NO_RETRY,
+                  "GCR service is not enabled");
+    NS_ASSERT_MSG(!m_staMembers.empty(), "GCR service should not be used");
+    if (m_retransmissionPolicy == GroupAddressRetransmissionPolicy::GCR_BLOCK_ACK)
+    {
+        return !mpdu->GetHeader().IsRetry() && !m_nonGcrStas.empty();
+    }
+    if (!m_mpdu || !mpdu->GetHeader().IsRetry())
+    {
+        m_unsolicitedRetryCounter = 0;
+        m_mpdu = mpdu;
+        NS_LOG_DEBUG("First groupcast transmission using No-Ack/No-Retry");
+    }
+    else
+    {
+        m_unsolicitedRetryCounter++;
+        NS_LOG_DEBUG("GCR solicited retry counter increased to " << +m_unsolicitedRetryCounter);
+    }
+    if (m_unsolicitedRetryCounter == m_gcrUnsolicitedRetryLimit)
+    {
+        NS_LOG_DEBUG("Last groupcast transmission retry done");
+        m_mpdu = nullptr;
+        m_unsolicitedRetryCounter = 0;
+        return false;
+    }
+    return true;
+}
+
+void
+GcrManager::NotifyStaAssociated(const Mac48Address& staAddress, bool gcrCapable)
+{
+    if (m_retransmissionPolicy == GroupAddressRetransmissionPolicy::NO_ACK_NO_RETRY)
+    {
+        // GCR is not used and we do not support run-time change of the retransmission policy
+        return;
+    }
+    NS_LOG_FUNCTION(this << staAddress << gcrCapable);
+    if (gcrCapable)
+    {
+        NS_ASSERT(m_staMembers.count(staAddress) == 0);
+        m_staMembers.insert(staAddress);
+    }
+    else
+    {
+        NS_ASSERT(m_nonGcrStas.count(staAddress) == 0);
+        m_nonGcrStas.insert(staAddress);
+    }
+}
+
+void
+GcrManager::NotifyStaDeassociated(const Mac48Address& staAddress)
+{
+    if (m_retransmissionPolicy == GroupAddressRetransmissionPolicy::NO_ACK_NO_RETRY)
+    {
+        // GCR is not used and we do not support run-time change of the retransmission policy
+        return;
+    }
+    NS_LOG_FUNCTION(this << staAddress);
+    m_nonGcrStas.erase(staAddress);
+    m_staMembers.erase(staAddress);
+}
+
+const GcrManager::GcrMembers&
+GcrManager::GetMemberStasForGroupAddress(const Mac48Address& /* groupAddress */) const
+{
+    // TODO: we currently assume all STAs belong to all group addresses
+    // as long as group membership action frame is not implemented
+    return m_staMembers;
+}
+
+void
+GcrManager::NotifyGroupMembershipChanged(const Mac48Address& staAddress,
+                                         const std::set<Mac48Address>& groupAddressList)
+{
+    NS_LOG_FUNCTION(this << staAddress << groupAddressList.size());
+    // TODO: group membership is not implemented yet, current implementation assumes GCR STAs are
+    // members of all groups
+}
+
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/gcr-manager.h ns-3.44/src/wifi/model/gcr-manager.h
--- ns-3.43/src/wifi/model/gcr-manager.h	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.44/src/wifi/model/gcr-manager.h	2025-03-09 16:55:49.787372600 -0700
@@ -0,0 +1,177 @@
+/*
+ * Copyright (c) 2023 DERONNE SOFTWARE ENGINEERING
+ *
+ * SPDX-License-Identifier: GPL-2.0-only
+ *
+ * Author: Sébastien Deronne <sebastien.deronne@gmail.com>
+ */
+
+#ifndef GCR_MANAGER_H
+#define GCR_MANAGER_H
+
+#include "qos-utils.h"
+
+#include "ns3/mac48-address.h"
+#include "ns3/object.h"
+
+#include <set>
+#include <unordered_set>
+
+namespace ns3
+{
+
+class ApWifiMac;
+class WifiMpdu;
+
+/**
+ * @brief The possible values for group address retransmission policy
+ */
+enum class GroupAddressRetransmissionPolicy : uint8_t
+{
+    NO_ACK_NO_RETRY = 0,
+    GCR_UNSOLICITED_RETRY,
+    GCR_BLOCK_ACK
+};
+
+/// Groupcast protection mode enumeration
+enum GroupcastProtectionMode : uint8_t
+{
+    RTS_CTS,
+    CTS_TO_SELF
+};
+
+/**
+ * @ingroup wifi
+ *
+ * GcrManager is a base class defining the API to handle 802.11aa GCR.
+ */
+class GcrManager : public Object
+{
+  public:
+    /**
+     * @brief Get the type ID.
+     * @return the object TypeId
+     */
+    static TypeId GetTypeId();
+
+    GcrManager();
+    ~GcrManager() override;
+
+    /**
+     * Set the wifi MAC. Note that it must be the MAC of a QoS AP.
+     *
+     * @param mac the wifi MAC
+     */
+    void SetWifiMac(Ptr<ApWifiMac> mac);
+
+    /**
+     * Get the configured retransmission policy.
+     *
+     * @return the configured retransmission policy
+     */
+    GroupAddressRetransmissionPolicy GetRetransmissionPolicy() const;
+
+    /**
+     * Get the retransmission policy to use to transmit a given group addressed packet.
+     *
+     * @param header the header of the groupcast frame
+     * @return the retransmission policy to use
+     */
+    GroupAddressRetransmissionPolicy GetRetransmissionPolicyFor(const WifiMacHeader& header) const;
+
+    /**
+     * Set the GCR concealment address.
+     *
+     * @param address the GCR concealment address
+     */
+    void SetGcrConcealmentAddress(const Mac48Address& address);
+
+    /**
+     * Get the GCR concealment address.
+     *
+     * @return the GCR concealment address
+     */
+    const Mac48Address& GetGcrConcealmentAddress() const;
+
+    /**
+     * Indicate whether a group addressed packet should be transmitted to the GCR concealment
+     * address.
+     *
+     * @param header the header of the groupcast packet
+     * @return whether GCR concealment should be used
+     */
+    bool UseConcealment(const WifiMacHeader& header) const;
+
+    /**
+     * This function indicates whether a groupcast MPDU should be kept for next retransmission.
+     *
+     * @param mpdu the groupcast MPDU
+     * @return whether a groupcast MPDU should be kept for next retransmission
+     */
+    bool KeepGroupcastQueued(Ptr<WifiMpdu> mpdu);
+
+    /**
+     * This function notifies a STA is associated.
+     *
+     * @param staAddress the MAC address of the STA
+     * @param isGcrCapable whether GCR is supported by the STA
+     */
+    void NotifyStaAssociated(const Mac48Address& staAddress, bool isGcrCapable);
+
+    /**
+     * This function deletes a STA as a member of any group addresses.
+     *
+     * @param staAddress the MAC address of the STA
+     */
+    void NotifyStaDeassociated(const Mac48Address& staAddress);
+
+    /**
+     * This function adds a STA as a member of zero or more group addresses.
+     *
+     * @param staAddress the MAC address of the STA
+     * @param groupAddressList zero or more MAC addresses to indicate the set of group addressed MAC
+     * addresses for which the STA receives frames
+     */
+    void NotifyGroupMembershipChanged(const Mac48Address& staAddress,
+                                      const std::set<Mac48Address>& groupAddressList);
+
+    /// MAC addresses of member STAs of a GCR group
+    using GcrMembers = std::unordered_set<Mac48Address, WifiAddressHash>;
+
+    /**
+     * Get the list of MAC addresses of member STAs for a given group address.
+     * @param groupAddress the group address
+     * @return list of MAC addresses of member STAs for the group address
+     */
+    const GcrMembers& GetMemberStasForGroupAddress(const Mac48Address& groupAddress) const;
+
+    /**
+     * Get the MAC address of the individually addressed recipient to use for a groupcast frame
+     * or for a protection frame sent prior to groupcast frames for a given group address.
+     * @param groupAddress the group address
+     * @return the MAC address of the individually addressed recipient to use.
+     */
+    virtual Mac48Address GetIndividuallyAddressedRecipient(
+        const Mac48Address& groupAddress) const = 0;
+
+  protected:
+    void DoDispose() override;
+
+    /// List of associated STAs that are not GCR capable
+    using NonGcrStas = GcrMembers;
+
+    Ptr<ApWifiMac> m_apMac;                                  //!< the MAC of the AP
+    GroupAddressRetransmissionPolicy m_retransmissionPolicy; //!< retransmission policy
+    uint8_t m_gcrUnsolicitedRetryLimit;                      //!< GCR Unsolicited Retry Limit
+    uint8_t m_unsolicitedRetryCounter;                       //!< the unsolicited retry counter
+    Ptr<WifiMpdu> m_mpdu;                                    //!< current MPDU being retransmitted
+    NonGcrStas m_nonGcrStas;                                 //!< the list of non-GCR capable STAs
+    GcrMembers m_staMembers; //!< the list of STA members (assume currently each member is part of
+                             //!< all group)
+    GroupcastProtectionMode m_gcrProtectionMode; //!< Protection mode for groupcast frames
+    Mac48Address m_gcrConcealmentAddress;        //!< GCR concealment address
+};
+
+} // namespace ns3
+
+#endif /* GCR_MANAGER_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/he/constant-obss-pd-algorithm.cc ns-3.44/src/wifi/model/he/constant-obss-pd-algorithm.cc
--- ns-3.43/src/wifi/model/he/constant-obss-pd-algorithm.cc	2024-10-09 16:41:10.120656700 -0700
+++ ns-3.44/src/wifi/model/he/constant-obss-pd-algorithm.cc	2025-03-09 16:55:49.787372600 -0700
@@ -72,7 +72,7 @@
 
     Ptr<HeConfiguration> heConfiguration = m_device->GetHeConfiguration();
     NS_ASSERT(heConfiguration);
-    uint8_t bssColor = heConfiguration->GetBssColor();
+    uint8_t bssColor = heConfiguration->m_bssColor;
 
     if (bssColor == 0)
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/he/constant-obss-pd-algorithm.h ns-3.44/src/wifi/model/he/constant-obss-pd-algorithm.h
--- ns-3.43/src/wifi/model/he/constant-obss-pd-algorithm.h	2024-10-09 16:41:10.120656700 -0700
+++ ns-3.44/src/wifi/model/he/constant-obss-pd-algorithm.h	2025-03-09 16:55:49.791372500 -0700
@@ -15,8 +15,8 @@
 {
 
 /**
- * \brief Constant OBSS PD algorithm
- * \ingroup wifi
+ * @brief Constant OBSS PD algorithm
+ * @ingroup wifi
  *
  * This constant OBSS_PD algorithm is a simple OBSS_PD algorithm which evaluates if a receiving
  * signal should be accepted or rejected based on a constant threshold.
@@ -34,8 +34,8 @@
     ConstantObssPdAlgorithm();
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/he/he-6ghz-band-capabilities.h ns-3.44/src/wifi/model/he/he-6ghz-band-capabilities.h
--- ns-3.43/src/wifi/model/he/he-6ghz-band-capabilities.h	2024-10-09 16:41:10.120656700 -0700
+++ ns-3.44/src/wifi/model/he/he-6ghz-band-capabilities.h	2025-03-09 16:55:49.791372500 -0700
@@ -15,7 +15,7 @@
 {
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * The HE 6 GHz Band Capabilities (IEEE 802.11ax-2021 9.4.2.263)
  */
@@ -49,26 +49,26 @@
     /**
      * Set the maximum AMPDU length.
      *
-     * \param maxAmpduLength 2^(13 + x) - 1, x in the range 0 to 7
+     * @param maxAmpduLength 2^(13 + x) - 1, x in the range 0 to 7
      */
     void SetMaxAmpduLength(uint32_t maxAmpduLength);
     /**
      * Return the maximum A-MPDU length.
      *
-     * \return the maximum A-MPDU length in bytes
+     * @return the maximum A-MPDU length in bytes
      */
     uint32_t GetMaxAmpduLength() const;
 
     /**
      * Set the maximum MPDU length.
      *
-     * \param length the maximum MPDU length (3895, 7991 or 11454)
+     * @param length the maximum MPDU length (3895, 7991 or 11454)
      */
     void SetMaxMpduLength(uint16_t length);
     /**
      * Get the maximum MPDU length.
      *
-     * \return the maximum MPDU length in bytes
+     * @return the maximum MPDU length in bytes
      */
     uint16_t GetMaxMpduLength() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/he/he-capabilities.h ns-3.44/src/wifi/model/he/he-capabilities.h
--- ns-3.43/src/wifi/model/he/he-capabilities.h	2024-10-09 16:41:10.120656700 -0700
+++ ns-3.44/src/wifi/model/he/he-capabilities.h	2025-03-09 16:55:49.791372500 -0700
@@ -15,7 +15,7 @@
 {
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * The IEEE 802.11ax HE Capabilities
  */
@@ -32,22 +32,22 @@
     /**
      * Set the HE MAC Capabilities Info field in the HE Capabilities information element.
      *
-     * \param ctrl1 the HE MAC Capabilities Info field 1 in the HE Capabilities information element
-     * \param ctrl2 the HE MAC Capabilities Info field 2 in the HE Capabilities information element
+     * @param ctrl1 the HE MAC Capabilities Info field 1 in the HE Capabilities information element
+     * @param ctrl2 the HE MAC Capabilities Info field 2 in the HE Capabilities information element
      */
     void SetHeMacCapabilitiesInfo(uint32_t ctrl1, uint16_t ctrl2);
     /**
      * Set the HE PHY Capabilities Info field in the HE Capabilities information element.
      *
-     * \param ctrl1 the HE PHY Capabilities Info field 1 in the HE Capabilities information element
-     * \param ctrl2 the HE PHY Capabilities Info field 2 in the HE Capabilities information element
-     * \param ctrl3 the HE PHY Capabilities Info field 3 in the HE Capabilities information element
+     * @param ctrl1 the HE PHY Capabilities Info field 1 in the HE Capabilities information element
+     * @param ctrl2 the HE PHY Capabilities Info field 2 in the HE Capabilities information element
+     * @param ctrl3 the HE PHY Capabilities Info field 3 in the HE Capabilities information element
      */
     void SetHePhyCapabilitiesInfo(uint64_t ctrl1, uint16_t ctrl2, uint8_t ctrl3);
     /**
      * Set the MCS and NSS field in the HE Capabilities information element.
      *
-     * \param ctrl the MCS and NSS field in the HE Capabilities information element
+     * @param ctrl the MCS and NSS field in the HE Capabilities information element
      */
     void SetSupportedMcsAndNss(uint16_t ctrl);
 
@@ -55,7 +55,7 @@
      * Return the 4 first octets of the HE MAC Capabilities Info field in the HE Capabilities
      * information element.
      *
-     * \return the 4 first octets of the HE MAC Capabilities Info field in the HE Capabilities
+     * @return the 4 first octets of the HE MAC Capabilities Info field in the HE Capabilities
      * information element
      */
     uint32_t GetHeMacCapabilitiesInfo1() const;
@@ -63,7 +63,7 @@
      * Return the last 2 octets of the HE MAC Capabilities Info field in the HE Capabilities
      * information element.
      *
-     * \return the last 2 octets of the HE MAC Capabilities Info field in the HE Capabilities
+     * @return the last 2 octets of the HE MAC Capabilities Info field in the HE Capabilities
      * information element
      */
     uint16_t GetHeMacCapabilitiesInfo2() const;
@@ -71,7 +71,7 @@
      * Return the 8 first octets of the HE PHY Capabilities Info field in the HE Capabilities
      * information element.
      *
-     * \return the 8 first octets of the HE PHY Capabilities Info field in the HE Capabilities
+     * @return the 8 first octets of the HE PHY Capabilities Info field in the HE Capabilities
      * information element
      */
     uint64_t GetHePhyCapabilitiesInfo1() const;
@@ -79,7 +79,7 @@
      * Return the octets 9-10 of the HE PHY Capabilities Info field in the HE Capabilities
      * information element.
      *
-     * \return the octets 9-10 of the HE PHY Capabilities Info field in the HE Capabilities
+     * @return the octets 9-10 of the HE PHY Capabilities Info field in the HE Capabilities
      * information element
      */
     uint16_t GetHePhyCapabilitiesInfo2() const;
@@ -87,14 +87,14 @@
      * Return the last octet of the HE PHY Capabilities Info field in the HE Capabilities
      * information element.
      *
-     * \return the last octet of the HE PHY Capabilities Info field in the HE Capabilities
+     * @return the last octet of the HE PHY Capabilities Info field in the HE Capabilities
      * information element
      */
     uint8_t GetHePhyCapabilitiesInfo3() const;
     /**
      * Return the MCS and NSS field in the HE Capabilities information element.
      *
-     * \return the MCS and NSS field in the HE Capabilities information element
+     * @return the MCS and NSS field in the HE Capabilities information element
      */
     uint16_t GetSupportedMcsAndNss() const;
 
@@ -102,65 +102,65 @@
     /**
      * Set channel width set.
      *
-     * \param channelWidthSet the channel width set
+     * @param channelWidthSet the channel width set
      */
     void SetChannelWidthSet(uint8_t channelWidthSet);
     /**
      * Set indication whether the transmission and reception of LDPC encoded packets is supported.
      *
-     * \param ldpcCodingInPayload indication whether the transmission and reception of LDPC encoded
+     * @param ldpcCodingInPayload indication whether the transmission and reception of LDPC encoded
      * packets is supported
      */
     void SetLdpcCodingInPayload(uint8_t ldpcCodingInPayload);
     /**
      * Set 1xHE-LTF and 800ns GI in HE SU PPDU reception support
      *
-     * \param heSuPpdu1xHeLtf800nsGi 1xHE-LTF and 800ns GI in HE SU PPDU reception support
+     * @param heSuPpdu1xHeLtf800nsGi 1xHE-LTF and 800ns GI in HE SU PPDU reception support
      */
     void SetHeSuPpdu1xHeLtf800nsGi(bool heSuPpdu1xHeLtf800nsGi);
     /**
      * Set 4xHE-LTF and 800ns GI in HE SU PPDU and HE MU PPDU reception support
      *
-     * \param heSuPpdu4xHeLtf800nsGi 4xHE-LTF and 800ns GI in HE SU PPDU and HE MU PPDU reception
+     * @param heSuPpdu4xHeLtf800nsGi 4xHE-LTF and 800ns GI in HE SU PPDU and HE MU PPDU reception
      * support
      */
     void SetHePpdu4xHeLtf800nsGi(bool heSuPpdu4xHeLtf800nsGi);
     /**
      * Get channel width set.
      *
-     * \returns the channel width set
+     * @returns the channel width set
      */
     uint8_t GetChannelWidthSet() const;
     /**
      * Indicates support for the transmission and reception of LDPC encoded packets.
      *
-     * \returns indication whether the transmission and reception of LDPC encoded packets is
+     * @returns indication whether the transmission and reception of LDPC encoded packets is
      * supported
      */
     uint8_t GetLdpcCodingInPayload() const;
     /**
      * Get 1xHE-LTF and 800ns GI in HE SU PPDU reception support
      *
-     * \returns true if 1xHE-LTF and 800ns GI in HE SU PPDU reception is supported, false otherwise
+     * @returns true if 1xHE-LTF and 800ns GI in HE SU PPDU reception is supported, false otherwise
      */
     bool GetHeSuPpdu1xHeLtf800nsGi() const;
     /**
      * Get 4xHE-LTF and 800ns GI in HE SU PPDU and HE MU PPDU reception support
      *
-     * \returns true if 4xHE-LTF and 800ns GI in HE SU PPDU and HE MU PPDU reception is supported,
+     * @returns true if 4xHE-LTF and 800ns GI in HE SU PPDU and HE MU PPDU reception is supported,
      *          false otherwise
      */
     bool GetHePpdu4xHeLtf800nsGi() const;
     /**
      * Get highest MCS supported.
      *
-     * \returns the highest MCS is supported
+     * @returns the highest MCS is supported
      */
     uint8_t GetHighestMcsSupported() const;
     /**
      * Get highest NSS supported.
      *
-     * \returns the highest supported NSS
+     * @returns the highest supported NSS
      */
     uint8_t GetHighestNssSupported() const;
 
@@ -168,7 +168,7 @@
     /**
      * Set the maximum AMPDU length.
      *
-     * \param maxAmpduLength 2^(20 + x) - 1, x in the range 0 to 3
+     * @param maxAmpduLength 2^(20 + x) - 1, x in the range 0 to 3
      */
     void SetMaxAmpduLength(uint32_t maxAmpduLength);
 
@@ -176,35 +176,35 @@
     /**
      * Set highest MCS supported.
      *
-     * \param mcs the MCS
+     * @param mcs the MCS
      */
     void SetHighestMcsSupported(uint8_t mcs);
     /**
      * Set highest NSS supported.
      *
-     * \param nss the NSS
+     * @param nss the NSS
      */
     void SetHighestNssSupported(uint8_t nss);
 
     /**
      * Is RX MCS supported.
      *
-     * \param mcs the MCS
-     * \returns true if MCS transmit supported
+     * @param mcs the MCS
+     * @returns true if MCS transmit supported
      */
     bool IsSupportedTxMcs(uint8_t mcs) const;
     /**
      * Is RX MCS supported.
      *
-     * \param mcs the MCS
-     * \returns true if MCS receive supported
+     * @param mcs the MCS
+     * @returns true if MCS receive supported
      */
     bool IsSupportedRxMcs(uint8_t mcs) const;
 
     /**
      * Return the maximum A-MPDU length.
      *
-     * \return the maximum A-MPDU length
+     * @return the maximum A-MPDU length
      */
     uint32_t GetMaxAmpduLength() const;
 
